Debian Bug report logs - #507706
Missing sources for d-i components/kernel of etch-n-half images

Package: cdimage.debian.org; Maintainer for cdimage.debian.org is Debian CD-ROM Team <debian-cd@lists.debian.org>;

Reported by: Daniel Baumann <mail@daniel-baumann.ch>

Date: Wed, 3 Dec 2008 20:03:01 UTC

Severity: serious

Tags: squeeze-ignore, wheezy-ignore

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#507706; Package cdimage.debian.org. (Wed, 03 Dec 2008 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Wed, 03 Dec 2008 20:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: Missing sources for d-i components/kernel of etch-n-half images
Date: Wed, 03 Dec 2008 20:58:41 +0100
Package: cdimage.debian.org
Severity: serious

Hi,

unfortunately, a similar issue as with #497471 arised.

for 4.0r4, the debian-installer was built with the same etch-n-half
kernel images that are available in the archive and thus also in the
source images.

for 4.0r5 this changed - it is now using a kernel (lenny 2.6.26) that is
*not* in the archive of etch and thus did not make it automatically in
the source images.

it could be argued about if source-distribution for the etch-n-half d-i
kernel is considered fulfiled by the fact that *for that very moment*
the sources for that kernel are present in the lenny archive (i think
it's not arguable, but IANAL).

in the case it will be considered as source distribution, the
etch-n-half images do lack a written offer attached where that
particular missing pieces compared to the source images of 4.0r5 can be
optained from, and is therefore a GPL violation.

in the case it will not be considered as source distribution (which is
my point of view on that matter), it's GPL violation anyway.

unrelated to which case will be considered, it's also a debian policy
violation since debian wants to only distribute self-contained
distributions, means binaries and sources together in order to also
remove them at the same time, and not having to keep sources arround.

apart from the missing kernel sources, i *think* also the sources for
the lenny d-i components (which is what is beeing used in the
etch-n-half d-i initrd) itself are missing, but havent checked that yet.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#507706; Package cdimage.debian.org. (Sat, 13 Nov 2010 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Chatelet <tchatelet@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sat, 13 Nov 2010 05:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 507706@bugs.debian.org (full text, mbox):

From: Thierry Chatelet <tchatelet@free.fr>
To: 507706@bugs.debian.org
Subject: Missing sources for d-i components/kernel of etch-n-half images
Date: Sat, 13 Nov 2010 06:24:13 +0100
Hi,
Should'nt this be closed?




Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 13:54:08 GMT) Full text and rfc822 format available.

Reply sent to Colin Tuckley <colint@debian.org>:
You have taken responsibility. (Thu, 05 Jul 2012 17:45:05 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Thu, 05 Jul 2012 17:45:05 GMT) Full text and rfc822 format available.

Message #17 received at 507706-done@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 507706-done@bugs.debian.org
Subject: Re: Missing sources for d-i components/kernel of etch-n-half images
Date: Thu, 05 Jul 2012 17:51:32 +0100
Closing since this bug refers to an obsolete release which is now out of
support.

-- 
Colin Tuckley      |  +44(0)1223 830814  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Take my advice, I don't use it anyway.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#507706; Package cdimage.debian.org. (Thu, 05 Jul 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Thu, 05 Jul 2012 18:06:04 GMT) Full text and rfc822 format available.

Message #22 received at 507706@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: colint@debian.org
Cc: 507706@bugs.debian.org
Subject: Re: Bug#507706 closed by Colin Tuckley <colint@debian.org> (Re: Missing sources for d-i components/kernel of etch-n-half images)
Date: Thu, 05 Jul 2012 20:03:02 +0200
reopen 507706
thanks

Colin Tuckley <colint@debian.org> wrote:
> Closing since this bug refers to an obsolete release which is now out of
> support.

doesn't matter if debian supports etch or not; the images with missing
sources are still distributed from cdimage.debian.org, hence reopening.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reopened Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 05 Jul 2012 18:06:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 12:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#507706; Package cdimage.debian.org. (Mon, 08 Apr 2013 23:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Mon, 08 Apr 2013 23:27:07 GMT) Full text and rfc822 format available.

Message #31 received at 507706@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 507706@bugs.debian.org, 497471@bugs.debian.org
Subject: no longer on cdimages.debian.org
Date: Mon, 8 Apr 2013 19:23:39 -0400
Releases older than squeeze are no longer on cdimage.debian.org.

Best wishes,
Mike



Marked Bug as done Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Wed, 10 Apr 2013 17:33:09 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Wed, 10 Apr 2013 17:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#507706; Package cdimage.debian.org. (Fri, 12 Apr 2013 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Fri, 12 Apr 2013 12:45:05 GMT) Full text and rfc822 format available.

Message #40 received at 507706@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 507706@bugs.debian.org
Subject: Re: Missing sources for d-i components/kernel of etch-n-half images
Date: Fri, 12 Apr 2013 14:41:30 +0200
reopen 507706
thanks

http://cdimage.debian.org/cdimage/archive/4.0_r4/i386/iso-cd/debian-40r4etchnhalf-i386-netinst.iso
[...]

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug reopened Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 12 Apr 2013 12:45:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Daniel Baumann <mail@daniel-baumann.ch>' from 'daniel@debian.org' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Jun 2013 13:00:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:29:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.